Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.util
Class TimerWeakHashMap

    java.lang.Object
      java.util.AbstractMap<K,V>
          java.util.WeakHashMap
              rice.p2p.util.TimerWeakHashMap

All Implemented Interfaces:
  java.util.Map

    public class TimerWeakHashMap

extends java.util.WeakHashMap

Weak hash map that holds hard link to keys for a minimum time.

Author:
  Jeff Hoye

Nested Class Summary
`static class` | `TimerWeakHashMap.HardLinkTimerTask`

Constructor Summary
`TimerWeakHashMap(Timer t, int delay)`

Method Summary
`java.lang.Object` | `put(java.lang.Object key, java.lang.Object val)`
`void` | `refresh(java.lang.Object key)`
`void` | `refresh(java.lang.Object key, int delay)`

Methods inherited from class java.util.WeakHashMap
`clear, containsKey, containsValue, entrySet, get, isEmpty, keySet, putAll, remove, size, values`

Methods inherited from class java.util.AbstractMap
`clone, equals, hashCode, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`equals, hashCode`

Constructor Detail

### TimerWeakHashMap

    public TimerWeakHashMap(Timer t,
                            int delay)

Method Detail

### put

    public java.lang.Object put(java.lang.Object key,
                                java.lang.Object val)

  Specified by:
    `put` in interface `java.util.Map`
  Overrides:
    `put` in class `java.util.WeakHashMap`

### refresh

    public void refresh(java.lang.Object key)

### refresh

    public void refresh(java.lang.Object key,
                        int delay)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.